Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32592/?format=api
{ "ob_id": 32592, "uuid": "653fdd814dba4103a301221955781e35", "title": "NCEO Kenya forest aboveground biomass map 2015 v21.0", "abstract": "The NCEO Kenya forest aboveground biomass map shows aboveground woody biomass (AGB) in Kenyan forests. Forest areas include vegetated wetlands and wooded grassland for the year 2015. The map was generated by combining field inventory plots (KFS) with Advanced Land Observing Satellite (ALOS-2), Phased Array type L-band Synthetic Aperture Radar (PALSAR-2) and multispectral optical data (NASA Landsat 8), by means of a Random Forests algorithm within a k-Fold calibration/validation framework. \r\n\r\nThe characterization of carbon stocks and dynamics at the national level is critical for countries engaging in climate change mitigation and adaptation strategies. However, several tropical countries, including Kenya, lack the essential information typically provided by a complete national forest inventory. These data were produced by the National Centre for Earth Observation (NCEO), University of Leicester, in collaboration with the Kenya Forest Service (KFS) with funding from the NCEO ODA Programme. \r\n\r\nKnown Issues: Residual scan line corrector (SLC) effects due to the use of the SLEEK land cover product as a retrieval mask (derived from Landsat imagery) are visible in some areas", "keywords": "NCEO, AGB, Biomass, Kenya, forest, vegetated wetlands, wooded grassland", "publicationState": "published", "dataPublishedTime": "2021-05-14T13:03:44", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32591/?format=api", "dataPath": "/neodc/nceo_biomass_maps/data/kenya/v21.0/2015/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 575877009, "numberOfFiles": 11, "fileFormat": "GeoTiff \r\nPixel type: unsigned integer \r\nPixel Depth: 16 Bit NoData Value: 65535" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8950/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2775/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5002/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145125/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145126/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145127/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145132/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145133/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145123/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145124/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145122/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145134/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145135/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/32596/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }